#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 retrie
version:              1.1.0.0
visibility:           public
id:                   retrie-1.1.0.0-2l62BMJg38pEmEzix1VX8y
key:                  retrie-1.1.0.0-2l62BMJg38pEmEzix1VX8y
license:              MIT
copyright:            Copyright (c) Facebook, Inc. and its affiliates.
maintainer:           Andrew Farmer <anfarmer@fb.com>
author:               Andrew Farmer <anfarmer@fb.com>
homepage:             https://github.com/facebookincubator/retrie
synopsis:             A powerful, easy-to-use codemodding tool for Haskell.
description:
    Retrie is a tool for codemodding Haskell. Key goals include:

    * Speed: Efficiently rewrite in large (>1 million line) codebases.
    * Safety: Avoids large classes of codemod-related errors.
    * Ease-of-use: Haskell syntax instead of regular expressions. No hand-rolled AST traversals.

    This package provides a command-line tool (@retrie@) and a library
    ("Retrie") for making equational edits to Haskell code.

    Please see the [README](#readme) for examples and usage.

category:             Development
abi:                  9ab6c64b88773cea1e2c4f1c17966c17
exposed:              True
exposed-modules:
    Retrie Retrie.AlphaEnv Retrie.CPP Retrie.Context Retrie.Debug
    Retrie.Elaborate Retrie.ExactPrint Retrie.ExactPrint.Annotated
    Retrie.Expr Retrie.Fixity Retrie.FreeVars Retrie.GHC
    Retrie.GroundTerms Retrie.Monad Retrie.Options
    Retrie.PatternMap.Bag Retrie.PatternMap.Class
    Retrie.PatternMap.Instances Retrie.Pretty Retrie.Quantifiers
    Retrie.Query Retrie.Replace Retrie.Rewrites
    Retrie.Rewrites.Function Retrie.Rewrites.Patterns
    Retrie.Rewrites.Rules Retrie.Rewrites.Types Retrie.Run Retrie.SYB
    Retrie.Subst Retrie.Substitution Retrie.Types Retrie.Universe
    Retrie.Util

import-dirs:          /usr/lib/ghc-9.0.2/site-local/retrie-1.1.0.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/retrie-1.1.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-retrie
hs-libraries:         HSretrie-1.1.0.0-2l62BMJg38pEmEzix1VX8y
depends:
    ansi-terminal-0.11.4-941itkoMzqP2HjyJtSkjHb
    async-2.2.5-CixST7EyOy65rLGgPha7A3 base-4.15.1.0
    bytestring-0.10.12.1 containers-0.6.4.1
    data-default-0.7.1.1-4W3DdpWCDdz1ZSimKMWhuv directory-1.3.6.2
    filepath-1.4.2.1 ghc-9.0.2
    ghc-exactprint-0.6.4-LTl6j0MNexTD9rJl8Xkpaq
    list-t-1.0.5.4-DMPTpOPo8YeJrKNQddDZJa mtl-2.2.2
    optparse-applicative-0.17.1.0-AxEI8mDLbJi7Q5pwqU28ta
    process-1.6.13.2 random-shuffle-0.0.4-ABwIlVYXnDZ69q9XS5N9oR
    syb-0.7.2.4-CrXKYIWYt0k5oYW5xy7ynG text-1.2.5.0
    transformers-0.5.6.2
    unordered-containers-0.2.20-JUpj03e9UBE4KYc3X7i8JW

haddock-interfaces:   /usr/share/doc/haskell-retrie/html/retrie.haddock
haddock-html:         /usr/share/doc/haskell-retrie/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

